const connection = require("./db");
const languageMessages = require("./language_messages");
const moment = require('moment');


function fetchUserData(userId, callback) {
    const query = "SELECT `user_id`, `login_type`, `login_type_first`, `user_type`, `email`, `password`, `f_name`, `l_name`, `name`, `dob`, `age`, `height`, `phone_code`, `mobile`, `otp`, `otp_verify`, `image`, `gender`, `address`, `latitude`, `longitude`, `zipcode`, `bio`, `active_flag`, `approve_flag`, `profile_complete`, `language_id`, `facebook_id`, `google_id`, `twitter_id`, `instagram_id`, `apple_id`, `location`, `location_status`, `notification_status`, `delete_flag`, `delete_reason`, `createtime`, `updatetime`, `mysqltime`, `signup_step`, `previlages` FROM `user_master` WHERE user_id = ? AND delete_flag =0";
  
    connection.query(query, [userId], async(error, results) => {
        if (error) {
            callback(error, null);
            return;
        }
  
        
        
        if (results.length > 0) {
            const userData = results[0]; 
        
           
            let login_type_name = 'NA';
            let login_type_first_name = 'NA';
            if(userData.login_type == 0){
              login_type_name = 'app';
            }else if(userData.login_type == 1){
              login_type_name = 'google';
            }else if(userData.login_type == 2){
              login_type_name = 'apple';
            }
            if(userData.login_type_first == 0){
              login_type_first_name = 'app';
            }else if(userData.login_type_first == 1){
              login_type_first_name = 'google';
            }else if(userData.login_type_first == 2){
              login_type_first_name = 'apple';
            }
  
            const userDataArray = {
            
                user_id: userData.user_id,
              //   login_type: userData.login_type,
                login_type: login_type_name,
              //   login_type_first: userData.login_type_first,
              login_type_first: login_type_first_name,
                user_type: userData.user_type,
                email: userData.email,
                f_name: userData.f_name,
                l_name: userData.l_name,
                name: userData.name,
                // dob: dob_new,
                // formatted_dob: formatted_dob,
                // age: age,
                phone_code: userData.phone_code,
                mobile: userData.mobile,
                otp: userData.otp,
                otp_verify: userData.otp_verify,
                image: userData.image,
                gender_label: '1=men,2=women,3=other',
                gender: userData.gender,
                address: userData.address,
                latitude: userData.latitude,
                longitude: userData.longitude,
                active_flag: userData.active_flag,
                approve_flag: userData.approve_flag,
                profile_complete: userData.profile_complete,
                language_id: userData.language_id,
                facebook_id: userData.facebook_id,
                google_id: userData.google_id,
                apple_id: userData.apple_id,
                notification_status: userData.notification_status,
                delete_reason: userData.delete_reason,
                createtime: userData.createtime,
                updatetime: userData.updatetime,
                bio : userData.bio,
                signup_step: userData.signup_step,
             
            };
            callback(null, userDataArray);
        } else {
            callback(null, null);
        }
    });
  }
  

  module.exports = {
    fetchUserData
  }