
const connection = require("./db");
const languageMessages = require("./language_messages");


function DeviceTokenStore_1_Signal(user_id, device_type, player_id, callback) {

    const inserttime = new Date().toISOString().slice(0, 19).replace('T', ' ');

    // Check if player_id exists
    connection.query('SELECT player_id FROM user_notification WHERE player_id = ?', [player_id], function (error, results, fields) {
        if (error) throw error;

        if (results.length > 0) {
            // Delete all records of this player_id
            connection.query('DELETE FROM user_notification WHERE player_id = ? OR user_id = ?', [player_id, user_id], function (error, results, fields) {
                if (error) throw error;

                if (results.affectedRows <= 0) {
                    // 2nd attempt to delete
                    connection.query('DELETE FROM user_notification WHERE player_id = ? OR user_id = ?', [player_id, user_id], function (error, results, fields) {
                        if (error) throw error;

                        if (results.affectedRows <= 0) {
                            callback("no");
                        } else {
                            // Insert new record
                            connection.query('INSERT INTO user_notification (user_id, device_type, player_id, inserttime) VALUES (?, ?, ?, ?)', [user_id, device_type, player_id, inserttime], function (error, results, fields) {
                                if (error) throw error;

                                if (results.affectedRows > 0) {
                                    callback("yes");
                                } else {
                                    callback("no");
                                }
                            });
                        }
                    });
                } else {
                    // Insert new record
                    connection.query('INSERT INTO user_notification (user_id, device_type, player_id, inserttime) VALUES (?, ?, ?, ?)', [user_id, device_type, player_id, inserttime], function (error, results, fields) {
                        if (error) throw error;

                        if (results.affectedRows > 0) {
                            callback("yes");
                        } else {
                            callback("no");
                        }
                    });
                }
            });
        } else {
            // Check if user_id exists
            connection.query('SELECT user_id FROM user_notification WHERE user_id = ?', [user_id], function (error, results, fields) {
                if (error) throw error;

                if (results.length > 0) {
                    // Delete all records of this user_id
                    connection.query('DELETE FROM user_notification WHERE user_id = ?', [user_id], function (error, results, fields) {
                        if (error) throw error;

                        if (results.affectedRows <= 0) {
                            // 2nd attempt to delete
                            connection.query('DELETE FROM user_notification WHERE user_id = ?', [user_id], function (error, results, fields) {
                                if (error) throw error;

                                if (results.affectedRows <= 0) {
                                    callback("no");
                                } else {
                                    // Insert new record
                                    connection.query('INSERT INTO user_notification (user_id, device_type, player_id, inserttime) VALUES (?, ?, ?, ?)', [user_id, device_type, player_id, inserttime], function (error, results, fields) {
                                        if (error) throw error;

                                        if (results.affectedRows > 0) {
                                            callback("yes");
                                        } else {
                                            callback("no");
                                        }
                                    });
                                }
                            });
                        } else {
                            // Insert new record
                            connection.query('INSERT INTO user_notification (user_id, device_type, player_id, inserttime) VALUES (?, ?, ?, ?)', [user_id, device_type, player_id, inserttime], function (error, results, fields) {
                                if (error) throw error;

                                if (results.affectedRows > 0) {
                                    callback("yes");
                                } else {
                                    callback("no");
                                }
                            });
                        }
                    });
                } else {
                    // Insert new record
                    connection.query('INSERT INTO user_notification (user_id, device_type, player_id, inserttime) VALUES (?, ?, ?, ?)', [user_id, device_type, player_id, inserttime], function (error, results, fields) {
                        if (error) throw error;

                        if (results.affectedRows > 0) {
                            callback("yes");
                        } else {
                            callback("no");
                        }
                    });
                }
            });
        }
    });
}

async function cheakUseractiveDeactive(user_id){
    try {
        const sql = "SELECT active_flag from user_master where delete_flag = 0 AND user_id = ?";
        const result = await new Promise((resolve, reject) => {
            connection.query(sql, [user_id], (err, result) => {
                if (err) {
                    reject(err);
                } else {
                    resolve(result);
                }
            });
        });
        return result;
    } catch (error) {
        console.log("error: ", error);
        response.status(500).json({ success: false, msg: languageMessages.internalServerError, data: {} });
    }
}


 async function checkUserActiveDeactive(user_id){
    try {
        const sql = "SELECT active_flag from user_master where delete_flag = 0 AND user_id = ?";
        const result = await new Promise((resolve, reject) => {
            connection.query(sql, [user_id], (err, result) => {
                if (err) {
                    reject(err);
                } else {
                    resolve(result);
                }
            });
        });

        if (result.length > 0) {
            return result[0].active_flag;
        } else {
            // If no result found for the user_id
            return 0; // Or you can throw an error if needed
        }
        
    } catch (error) {
        console.log("error: ", error);
        throw new Error(languageMessages.internalServerError);
    }
 }


module.exports = {
    DeviceTokenStore_1_Signal,
    cheakUseractiveDeactive,
    checkUserActiveDeactive
}
