const express = require('express');
const router = express.Router();
const connection = require('./db');
const languageMessages = require('./language_messages');
const { cheakUseractiveDeactive } = require('./function_app_common');
require('dotenv').config();



const getContent = (request, response) => {

    const query = "SELECT content_id, content_type, content FROM content_master WHERE delete_flag = 0";
    connection.query(query, (err, rows) => {
        if (err) {
            console.error('Error executing MySQL query:', err);
            return response.status(500).json({ success: false, error: languageMessages.internalServerError });
        }

        let webservice_url = process.env.WEBSERVICE_URL;

        const content_arr = rows.map(row => ({
            content_id: row.content_id,
            content_type: row.content_type, 
            content: row.content,
            content_url: `${webservice_url}get_all_content_url?content_type=${row.content_type}`,
            status: false 
        }));

        if (content_arr.length === 0) {
            const content_arr = 'NA';
            return response.status(200).json({ success: true, message: languageMessages.msgDataFound , content_arr });
        }

        return response.status(200).json({ success: true, message: languageMessages.msgDataFound , content_arr });
    });
};



const getAllContentUrl = (request, response) => {
    try {
        const { content_type } = request.query;

        const query1 = "SELECT content_id, content_type, content FROM content_master WHERE delete_flag = 0 AND content_type = ? ";
        const val1 = [content_type];
        
        connection.query(query1, val1, (valError, valResult) => {
            if (valError) {
                return response.status(200).json({ success: false, msg: languageMessages.internalServerError });
            }

            if (valResult.length === 0) {
                return response.status(200).json({ success: false, msg: languageMessages.msgDataNotFound });
            }
            let content_en;
                content_en = valResult[0].content
        
             
            let new12 = '<html><head><meta charset="utf-8"><meta http-equiv="Content-Security-Policy" content="default-src * data: gap: content:"><meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no, minimal-ui"><title>Data</title></head><body style="word-break: break-all;">' + content_en + '</body></html>';


            return response.send(new12);
        });
    } catch (error) {
        return response.status(500).json({ success: false, msg: languageMessages.internalServerError });
    }
};


const getCategory = (request, response) => {
    const {state_id} = request.query;
    try {
        var sqlinert = "SELECT `category_id`, `name` FROM category_master WHERE delete_flag = 0";
        connection.query(sqlinert, (err, info) => {
            if (err) {
                return response.status(500).json({ success: false, msg: languageMessages.internalServerError });
            } else {
                const city_arr = info.map(row => ({
                    category_id: row.category_id,
                    name : row.name,
                    status: false 
                }));
        
                if (city_arr.length === 0) {
                    const city_arr = 'NA';
                    return response.status(200).json({ success: true, message: languageMessages.msgDataFound , city_arr  })
                }
        
                return response.status(200).json({ success: true, message: languageMessages.msgDataFound , city_arr })
          
            }
        });
    } catch (error) {
        console.error("Error:", error);
        return response.status(500).json({ success: false, msg: languageMessages.internalServerError });
    }
}

module.exports = {
    getContent,
    getAllContentUrl,
    getCategory
}