// language_messages.js


const messages = {
    loginSuccessful: ["Login successful", "تم تسجيل الدخول بنجاح", "Connexion réussie", "Успешный вход", "Inicio de sesión exitoso"],
    allFieldsRequired: ['All fields are required', 'جميع الحقول مطلوبة', 'Tous les champs sont requis', 'Все поля обязательны для заполнения', 'Todos los campos son obligatorios'],
    msg_empty_param: ['Please send data', 'يرجى إرسال البيانات', 'Veuillez envoyer les données', 'Пожалуйста, отправьте данные', 'Por favor, envíe datos'],
    internalServerError: ['Internal Server Error', 'خطأ في الخادم الداخلي', 'Erreur interne du serveur', 'Внутренняя ошибка сервера', 'Error interno del servidor'],
    invalidCredentials: ['Invalid email or password', 'البريد الإلكتروني أو كلمة المرور غير صحيحة', 'Email ou mot de passe invalide', 'Неверный адрес электронной почты или пароль', 'Correo electrónico o contraseña no válidos'],
    msgDataFound: ['Data Found', 'تم العثور على البيانات', 'Données trouvées', 'Данные найдены', 'Datos encontrados'],
    msgDataNotFound: ['Data not Found', 'لم يتم العثور على البيانات', 'Données non trouvées', 'Данные не найдены', 'Datos no encontrados'],
    msgUserNotFound: ['User not Found', 'لم يتم العثور على المستخدم', "Utilisateur non trouvé", "Пользователь не найден", "Usuario no encontrado"],
    msgOtherNotFound: ['Other user not Found', 'لم يتم العثور على المستخدم الآخر', "Autre utilisateur non trouvé", "Другой пользователь не найден", "Otro usuario no encontrado"],
    accountdeactivated: ['Your account has been deactivated by admin', 'تم تعطيل حسابك من قبل المسؤول', 'Votre compte a été désactivé par l\'administrateur', 'Ваш аккаунт был деактивирован администратором', 'Tu cuenta ha sido desactivada por el administrador'],
    notificationStatusYes: ['yes', 'نعم', 'oui', 'да', 'sí'],
    notificationStatusNo: ['no', 'لا', 'non', 'нет', 'no'],
    errorFetchingUserDetails: ['Error fetching user details:', 'خطأ في جلب تفاصيل المستخدم:', 'Erreur lors de la récupération des détails de l\'utilisateur:', 'Ошибка при получении данных пользователя:', 'Error al obtener los detalles del usuario:'],
    errorFetchingNotificationStatus: ['Error fetching notification status:', 'خطأ في جلب حالة الإشعار:', 'Erreur lors de la récupération du statut de notification:', 'Ошибка при получении статуса уведомления:', 'Error al obtener el estado de la notificación:'],
    errorInsertingNotification: ['Error inserting notification:', 'خطأ في إدراج الإشعار:', 'Erreur lors de l\'insertion de la notification:', 'Ошибка при вставке уведомления:', 'Error al insertar la notificación:'],
    usernameAndPassword: ['Username and password not correct', 'اسم المستخدم وكلمة المرور غير صحيحة', 'Nom d\'utilisateur et mot de passe incorrects', 'Неправильное имя пользователя или пароль', 'Nombre de usuario y contraseña incorrectos'],
    AvatarAdded: ['Avatar added successfully', 'تمت إضافة الصورة الرمزية بنجاح', 'Avatar ajouté avec succès', 'Аватар успешно добавлен', 'Avatar añadido con éxito'],
    postCreatedUnsuccessfully: ['Post created unsuccessfully', 'فشل في إنشاء المنشور', 'Échec de la création de la publication', 'Не удалось создать пост', 'Publicación creada sin éxito'],
    postCreatedSuccessfully: ['Post created successfully', 'تم إنشاء المنشور بنجاح', 'Publication créée avec succès', 'Пост успешно создан', 'Publicación creada con éxito'],
    EnglishtoChinese: ['English to Chinese Language changed successfully', 'تم تغيير اللغة من الإنجليزية إلى الصينية بنجاح', 'Langue changée avec succès de l\'anglais au chinois', 'Язык успешно изменен с английского на китайский', 'Idioma cambiado exitosamente de inglés a chino'],
    ChinesetoEnglish: ['Chinese to English Language changed successfully', 'تم تغيير اللغة من الصينية إلى الإنجليزية بنجاح', 'Langue changée avec succès du chinois à l\'anglais', 'Язык успешно изменен с китайского на английский', 'Idioma cambiado exitosamente de chino a inglés'],
    kmtomiles: ['Successfully changed units to miles', 'تم تغيير الوحدات إلى الأميال بنجاح', 'Unités changées avec succès en miles', 'Единицы измерения успешно изменены на мили', 'Unidades cambiadas exitosamente a millas'],
    milestokm: ['Successfully changed units to kilometers', 'تم تغيير الوحدات إلى الكيلومترات بنجاح', 'Unités changées avec succès en kilomètres', 'Единицы измерения успешно изменены на километры', 'Unidades cambiadas exitosamente a kilómetros'],
    profileUpdateSuccessfully: ['Profile updated successfully', 'تم تحديث الملف الشخصي بنجاح', 'Profil mis à jour avec succès', 'Профиль успешно обновлен', 'Perfil actualizado con éxito'],
    KeywordAddedUnsuccessfully: ['Keyword added unsuccessfully', 'فشل في إضافة الكلمة المفتاحية', 'Échec de l\'ajout du mot-clé', 'Не удалось добавить ключевое слово', 'Palabra clave añadida sin éxito'],
    KeywordAddedSuccessfully: ['Keyword added successfully', 'تمت إضافة الكلمة المفتاحية بنجاح', 'Mot-clé ajouté avec succès', 'Ключевое слово успешно добавлено', 'Palabra clave añadida con éxito'],
    UnlikeUnsuccessfully: ['Unlike unsuccessfully', 'فشل في إلغاء الإعجاب', 'Échec du retrait du j\'aime', 'Не удалось убрать лайк', 'No me gusta sin éxito'],
    likeUnsuccessfully: ['Like unsuccessfully', 'فشل في الإعجاب', 'Échec du j\'aime', 'Не удалось поставить лайк', 'Me gusta sin éxito'],
    likeSuccessfully: ['Like successfully', 'تم الإعجاب بنجاح', 'Aimé avec succès', 'Лайк успешно поставлен', 'Me gusta con éxito'],
    eventUnlikeSuccessfully: ['Event unlike successfully', 'تم إلغاء الإعجاب بالحدث بنجاح', 'Événement déplu avec succès', 'Мероприятие успешно убрано из понравившихся', 'Evento no me gusta exitoso'],
    eventUnlikeUnsuccessfully: ['Event unlike unsuccessfully', 'فشل في إلغاء الإعجاب بالحدث', 'Échec du retrait du j\'aime de l\'événement', 'Не удалось убрать лайк с мероприятия', 'Evento no me gusta sin éxito'],
    eventLikeSuccessfully: ['Event like successfully', 'تم الإعجاب بالحدث بنجاح', 'Événement aimé avec succès', 'Мероприятие успешно понравилось', 'Evento me gusta exitoso'],
    eventLikeUnsuccessfully: ['Event like unsuccessfully', 'فشل في الإعجاب بالحدث', 'Échec du j\'aime de l\'événement', 'Не удалось поставить лайк мероприятию', 'Evento me gusta sin éxito'],
    UnlikeSuccessfully: ['Unlike successfully', 'تم إلغاء الإعجاب بنجاح', 'Déplu avec succès', 'Лайк успешно убран', 'No me gusta exitoso'],
    UnDisLikeSuccessfully: ['Undislike successfully', 'تم إلغاء عدم الإعجاب بنجاح', 'Ne pas déplaire avec succès', 'Не разонравилось успешно', 'No disgustar exitosamente'],
    disLikeUnsccessfully: ['Dislike unsuccessfully', 'فشل في عدم الإعجاب', 'Échec du déplaire', 'Не удалось не понравиться', 'No disgustar sin éxito'],
    disLikesccessfully: ['Dislike successfully', 'تم عدم الإعجاب بنجاح', 'Déplu avec succès', 'Не понравилось успешно', 'No gustar exitosamente'],
    deleteAccount: ['Account deleted successfully', 'تم حذف الحساب بنجاح', 'Compte supprimé avec succès', 'Аккаунт успешно удален', 'Cuenta eliminada con éxito'],
    deleteAccountUn: ['Account deleted unsuccessfully', 'فشل في حذف الحساب', 'Échec de la suppression du compte', 'Не удалось удалить аккаунт', 'Cuenta eliminada sin éxito'],
    postUpdateUnsuccessfully: ['Post updated unsuccessfully', 'فشل في تحديث المنشور', 'Échec de la mise à jour de la publication', 'Не удалось обновить пост', 'Publicación actualizada sin éxito'],
    postUpdateSuccessfully: ['Post updated successfully', 'تم تحديث المنشور بنجاح', 'Publication mise à jour avec succès', 'Пост успешно обновлен', 'Publicación actualizada con éxito'],
    postDeleteSuccessfully: ['Post deleted successfully', 'تم حذف المنشور بنجاح', 'Publication supprimée avec succès', 'Пост успешно удален', 'Publicación eliminada con éxito'],
    postDeleteUnsuccessfully: ['Post deleted unsuccessfully', 'فشل في حذف المنشور', 'Échec de la suppression de la publication', 'Не удалось удалить пост', 'Publicación eliminada sin éxito'],
    reportsuccessfully: ["Report submitted successfully", 'تم إرسال التقرير بنجاح', 'Rapport soumis avec succès', 'Отчет успешно отправлен', 'Informe enviado con éxito'],
    reportunsuccessfully: ["Report unsuccessful", 'فشل في إرسال التقرير', 'Rapport non réussi', 'Отчет не отправлен', 'Informe sin éxito'],
    signupSuccessfully: ["Signup successfully", 'تم التسجيل بنجاح', 'Inscription réussie', 'Регистрация прошла успешно', 'Registro exitoso'],
    otpsend: ["Otp sent successfully", "تم إرسال رمز التحقق بنجاح", "Otp envoyé avec succès", "Otp успешно отправлено", "Otp enviado con éxito"],
    emailAlreadyExists: ["Email already exists", "رقم الهاتف المحمول موجود بالفعل", "Le numéro de mobile existe déjà", "Мобильный номер уже существует", "El número de móvil ya existe"],
    mobileNotRegistered: ["Mobile number is not registered with us", "رقم الهاتف المحمول غير مسجل معنا", "Numéro de mobile non enregistré chez nous", "Мобильный номер не зарегистрирован у нас", "Número de móvil no registrado con nosotros"],
    otpResendSuccess: ["Otp resent successfully", "تم إعادة إرسال رمز التحقق بنجاح", "Otp renvoyé avec succès", "Otp успешно повторно отправлено", "Otp reenviado con éxito"],
    wrongotp: ["Invalid otp", "رمز التحقق غير صالح", "Otp invalide", "Недействительный otp", "Otp no válido"],
    otpverifysuccess: ["Otp verified successfully", "تم التحقق من رمز التحقق بنجاح", "Otp vérifié avec succès", "Otp успешно проверено", "Otp verificado con éxito"],
    createProfileSuccess: ["Profile created successfully", "تم إنشاء الملف الشخصي بنجاح", "Profil créé avec succès", "Профиль успешно создан", "Perfil creado con éxito"],
    profileUpdateSuccessfully: ["Profile updated successfully", "تم تحديث الملف الشخصي بنجاح", "Profil mis à jour avec succès", "Профиль успешно обновлен", "Perfil actualizado con éxito"],
    preferensceUpdateSucefully: ["Preference updated successfully", "تم تحديث التفضيلات بنجاح", "Préférences mises à jour avec succès", "Предпочтения успешно обновлены", "Preferencias actualizadas con éxito"],
    userimagenotexist: ["User image does not exist", "صورة المستخدم غير موجودة", "L'image de l'utilisateur n'existe pas", "Изображение пользователя не существует", "La imagen del usuario no existe"],
    userImageDelete: ["User image deleted successfully", "تم حذف صورة المستخدم بنجاح", "Image de l'utilisateur supprimée avec succès", "Изображение пользователя успешно удалено", "Imagen del usuario eliminada con éxito"],
    addPreferenceSuccess: ["Preference added successfully", "تمت إضافة التفضيلات بنجاح", "Préférences ajoutées avec succès", "Предпочтения успешно добавлены", "Preferencias añadidas con éxito"],
    mobileandPasswordNotCorrect: ["Mobile number and password do not match", "رقم الهاتف المحمول وكلمة المرور غير متطابقين", "Le numéro de mobile et le mot de passe ne correspondent pas", "Мобильный номер и пароль не совпадают", "El número de móvil y la contraseña no coinciden"],
    forgotNewpasswordUpdate: ["Password updated successfully", "تم تحديث كلمة المرور بنجاح", "Mot de passe mis à jour avec succès", "Пароль успешно обновлен", "Contraseña actualizada con éxito"],
    newOldPassword: ["Current password not correct", "كلمة المرور الحالية غير صحيحة", "L'ancien mot de passe est incorrect", "Текущий пароль неверен", "La contraseña actual es incorrecta"],
    ticketVerifySuccess: ["Ticket verified successfully", "تم التحقق من التذكرة بنجاح", "Billet vérifié avec succès", "Билет успешно проверен", "Boleto verificado con éxito"],
    ticketVerifyUnsuccess: ["Ticket verification unsuccessful", "فشل في التحقق من التذكرة", "Échec de la vérification du billet", "Не удалось проверить билет", "Verificación de boleto sin éxito"],
    contactUsMsg: ["Thank you for contacting us. We will get back to you soon", "شكرًا لتواصلك معنا. سنرد عليك قريبًا", "Merci de nous avoir contactés. Nous vous répondrons bientôt", "Спасибо за обращение к нам. Мы свяжемся с вами в ближайшее время", "Gracias por contactarnos. Nos pondremos en contacto contigo pronto"],
    eventCreateSuccess: ["Event created successfully", "تم إنشاء الحدث بنجاح", "Événement créé avec succès", "Мероприятие успешно создано", "Evento creado con éxito"],
    hobbyUpdateUnsuccess: ["Hobby update unsuccessful", "فشل في تحديث الهواية", "Échec de la mise à jour du hobby", "Не удалось обновить хобби", "Actualización de hobby sin éxito"],
    interestUpdateUnsuccess: ["Interest update unsuccessful", "فشل في تحديث الاهتمام", "Échec de la mise à jour de l'intérêt", "Не удалось обновить интерес", "Actualización de interés sin éxito"],
    interestUpdateSuccess: ["Interest updated successfully", "تم تحديث الاهتمام بنجاح", "Intérêt mis à jour avec succès", "Интерес успешно обновлен", "Interés actualizado con éxito"],
    hobbyUpdateSuccess: ["Hobby updated successfully", "تم تحديث الهواية بنجاح", "Hobby mis à jour avec succès", "Хобби успешно обновлено", "Hobby actualizado con éxito"],
    eventNotFound: ["Event not Found", "لم يتم العثور على الحدث", "Événement non trouvé", "Мероприятие не найдено", "Evento no encontrado"],
    eventJoinsuccessfully: ["Event joined successfully", "تم الانضمام إلى الحدث بنجاح", "Événement rejoint avec succès", "Мероприятие успешно присоединено", "Evento unido con éxito"],
    imageAddedSuccess: ["Image added successfully", "تمت إضافة الصورة بنجاح", "Image ajoutée avec succès", "Изображение успешно добавлено", "Imagen añadida con éxito"],
    sendInvitation: ["Event invitation sent successfully", "تم إرسال دعوة الحدث بنجاح", "Invitation à l'événement envoyée avec succès", "Приглашение на мероприятие успешно отправлено", "Invitación al evento enviada con éxito"],
    notificationNotFound: ["Notification not found", "لم يتم العثور على الإشعار", "Notification non trouvée", "Уведомление не найдено", "Notificación no encontrada"],
    notificationDelete: ["Notification deleted successfully", "تم حذف الإشعار بنجاح", "Notification supprimée avec succès", "Уведомление успешно удалено", "Notificación eliminada con éxito"],
    subscriptionsuccessfully: ["Subscription purchased successfully", "تم شراء الاشتراك بنجاح", "Abonnement acheté avec succès", "Подписка успешно оформлена", "Suscripción comprada con éxito"],
    cancleSubscription: ["Subscription cancelled successfully", "تم إلغاء الاشتراك بنجاح", "Abonnement annulé avec succès", "Подписка успешно отменена", "Suscripción cancelada con éxito"],
    notcanclesabscription: ["Subscription cancellation unsuccessful", "فشل في إلغاء الاشتراك", "Échec de l'annulation de l'abonnement", "Не удалось отменить подписку", "Cancelación de suscripción sin éxito"],
    accountUpdateUnsuccess: ["Account update unsuccessful", "فشل في تحديث الحساب", "Échec de la mise à jour du compte", "Не удалось обновить аккаунт", "Actualización de cuenta sin éxito"],
    accountAddedUnsuccess: ["Account addition unsuccessful", "فشل في إضافة الحساب", "Échec de l'ajout du compte", "Не удалось добавить аккаунт", "Adición de cuenta sin éxito"],
    accountAddedSuccess: ["Account added successfully", "تمت إضافة الحساب بنجاح", "Compte ajouté avec succès", "Аккаунт успешно добавлен", "Cuenta añadida con éxito"],
    accountUpdateSuccess: ["Account updated successfully", "تم تحديث الحساب بنجاح", "Compte mis à jour avec succès", "Аккаунт успешно обновлен", "Cuenta actualizada con éxito"],
    getBankUnsuccess: ["Fetching account details unsuccessful", "فشل في جلب تفاصيل الحساب", "Échec de la récupération des détails du compte", "Не удалось получить данные аккаунта", "Obtención de detalles de la cuenta sin éxito"],
    fileUploadSuccess: ["File uploaded successfully", "تم رفع الملف بنجاح", "Fichier téléchargé avec succès", "Файл успешно загружен", "Archivo subido con éxito"],
    invitation_otpWorng: ["Invitation OTP incorrect", "رمز التحقق من الدعوة غير صحيح", "OTP d'invitation incorrect", "Неправильный OTP приглашения", "OTP de invitación incorrecto"],
    eventDeleteSuccessfully: ["Event deleted successfully", "تم حذف الحدث بنجاح", "Événement supprimé avec succès", "Мероприятие успешно удалено", "Evento eliminado con éxito"],
    videoCallStart: ["Video call started successfully", "تم بدء المكالمة الفيديو بنجاح", "Appel vidéo commencé avec succès", "Видеозвонок успешно начался", "Llamada de video iniciada con éxito"],
    videoCallEnded: ["Video call ended successfully", "تم إنهاء المكالمة الفيديو بنجاح", "Appel vidéo terminé avec succès", "Видеозвонок успешно завершен", "Llamada de video finalizada con éxito"],
    uniqueIdCreate: ["Unique ID created successfully", "تم إنشاء المعرف الفريد بنجاح", "ID unique créé avec succès", "Уникальный идентификатор успешно создан", "ID único creado con éxito"]
};

module.exports = messages;

