const express = require('express');
const app = express();
const path = require('path');
const dotenv = require("dotenv");
const jwt = require('jsonwebtoken');
var router = express.Router();

const {getContent,
    getAllContentUrl,
    getCategory
} = require('./get_controller');

const {upload,
    signup,
    resendOtp
} = require('./user_controller');


dotenv.config()
var secret_key = process.env.USER_SECRET_KEY;

const authenticateJWT = (request, response, next) => {
    const token = request.cookies.jwt_token;
    
    if (!token) {
        return response.status(401).json({ success: false, msg: "Token not found" });
    }
    
    jwt.verify(token, secret_key, (err, payload) => {
        if (err) {
            return response.status(401).json({ success: false, msg: "Invalid token" });
        }
        request.payload = payload;
        next();
    });
};

router.get('/get_all_content',getContent);
router.get('/get_all_content_url',getAllContentUrl);
router.get('/get_category',authenticateJWT,getCategory);
router.post('/signup',upload.none(),signup);
router.post('/resend_otp',upload.none(),resendOtp);


module.exports = router;